<template>
  <div>
    <van-nav-bar title="单聊" fixed @click-left="onClickLeft" @click-right="onClickRight">
      <template #left>
        <div>
          <van-icon name="arrow-left" color="black" size="18" />
        </div>
      </template>
      <template #right>
        <van-icon name="ellipsis" color="black" size="18" />
      </template>
    </van-nav-bar>

    <van-pull-refresh v-model="loading" @refresh="onRefresh">
      <div class="w-full h-full border">12231</div>
    </van-pull-refresh>

    <ProfileNewsChatInput :shareGroup="false"></ProfileNewsChatInput>
  </div>
</template>
<script setup>
const route = useRoute()
const router = useRouter()

definePageMeta({
  layout: false
})

// 刷新次数
const count = ref(0)
const loading = ref(false)
// 刷新
const onRefresh = () => {
  setTimeout(() => {
    showToast('刷新成功')
    loading.value = false
    count.value++
  }, 1000)
}

const onClickLeft = () => router.back()

const onClickRight = () => {
  navigateTo({
    path: '/chat/set-single',
    query: {
      ...{
        userId: '2'
      }
    }
  })
}
</script>
<style lang="scss" scoped></style>
